Control APIAPI 레퍼런스Deployments

기존 배포를 재배포합니다

베타 API

Control API의 /v1 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.

POST/v1/apps/{appId}/deployments/{deploymentId}/redeploy

target을 생략하면 원본 target을 사용합니다. ntro redeploy 명령에 대응합니다. 이메일 인증을 완료한 사용자만 사용할 수 있습니다.

인증

bearerAuth
인증Bearer <token>

Identity access JWT 또는 ntro_ API token을 사용합니다. token 관리 경로는 Identity access JWT만 허용합니다.

위치: header

경로 매개변수

appId*string
deploymentId*string

요청 본문

application/json

TypeScript 타입 정의

Use the request body type in TypeScript.

응답 본문

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/apps/string/deployments/string/redeploy" \  -H "Content-Type: application/json" \  -d '{}'
{  "deployment": {    "appId": "string",    "createdAt": "string",    "errorCode": "string",    "fileCount": 0,    "id": "string",    "meta": true,    "preview": {      "capturedAt": "string",      "image": {        "token": "string",        "version": "string"      },      "status": "string"    },    "readyAt": "string",    "redeployOf": "string",    "shortId": "string",    "status": "string",    "target": "string",    "totalBytes": 0,    "url": "string"  }}